Skip to content
installing pycurl with requirements.txt
Profile icon
OneDevGuy

Is it possible to install PycURL? I found it in packages but get an error when trying to install.

Repl.it: Installing from requirements.txt Collecting pycurl==7.43.0.2 (from -r requirements.txt (line 1)) Using cached https://files.pythonhosted.org/packages/e8/e4/0dbb8735407189f00b33d84122b9be52c790c7c3b25286826f4e1bdb7bde/pycurl-7.43.0.2.tar.gz Complete output from command python setup.py egg_info: Traceback (most recent call last): File "/tmp/pip-build-jpwha_lr/pycurl/setup.py", line 223, in configure_unix stdout=subprocess.PIPE, stderr=subprocess.PIPE) File "/usr/local/lib/python3.6/subprocess.py", line 707, in __init__ restore_signals, start_new_session) File "/usr/local/lib/python3.6/subprocess.py", line 1326, in _execute_child raise child_exception_type(errno_num, err_msg) FileNotFoundError: [Errno 2] No such file or directory: 'curl-config' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<string>", line 1, in <module> File "/tmp/pip-build-jpwha_lr/pycurl/setup.py", line 913, in <module> ext = get_extension(sys.argv, split_extension_source=split_extension_source) File "/tmp/pip-build-jpwha_lr/pycurl/setup.py", line 582, in get_extension ext_config = ExtensionConfiguration(argv) File "/tmp/pip-build-jpwha_lr/pycurl/setup.py", line 99, in __init__ self.configure() File "/tmp/pip-build-jpwha_lr/pycurl/setup.py", line 227, in configure_unix raise ConfigurationError(msg) __main__.ConfigurationError: Could not run curl-config: [Errno 2] No such file or directory: 'curl-config' ---------------------------------------- Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-jpwha_lr/pycurl/ You are using pip version 9.0.1, however version 18.1 is available. You should consider upgrading via the 'pip install --upgrade pip' command. Repl.it: package installation failure
You are viewing a single comment. View All
Profile icon
AlfredoCentinar

Here, the same problem. Seems pip version is not updated.